"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fp = require("fastify-plugin");
const kMultipart = Symbol('multipart');
function setMultipart(req, done) {
    ;
    req[kMultipart] = true;
    done(null);
}
function isMultipart() {
    return this.req[kMultipart] || false;
}
exports.isMultipart = isMultipart;
function fastifyMulter(fastify, options, next) {
    fastify.addContentTypeParser('multipart', setMultipart);
    fastify.decorateRequest('isMultipart', isMultipart);
    next();
}
const multer = fp(fastifyMulter, {
    fastify: '>= 2.0.0',
    name: 'fastify-multer',
});
exports.default = multer;
//# sourceMappingURL=content-parser.js.map